package com.example.julian.endlessroll.main;

import android.widget.RelativeLayout;

import com.example.julian.endlessroll.levels.Level;
import com.example.julian.endlessroll.main.screens.Screen;
import com.example.julian.endlessroll.main.tutorial.BreakPoint;
import com.example.julian.endlessroll.main.tutorial.Tutorial;

import java.util.List;

/**
 * Created by Julian on 08.12.2015.
 */
public interface GameHandler extends ExceptionHandler {

    void startInUiThread(Runnable runnable);

    void toScreen(Screen.ScreenType screen);

    RelativeLayout getRootLayout();

    void showTutorialScreen(List<BreakPoint> breakPoints);

}
